# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
#
# Get Postgres version information, and parse the version number.
#
Facter.add(:pg_major_version) do
  confine :kernel => %w[Linux]

  setcode do
    info = Facter::Util::Resolution.exec("su - postgres -c 'psql --version'")
    begin
      info.scan(/^psql \(PostgreSQL\)\s+(\S+)$/)[0][0].split('.').first
    rescue NoMethodError
      nil
    end
  end
end
