# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
module PostgresFeature
  def self.postgres_running_check
    Puppet.debug 'Feature postgres_running checking availability'
    proc = Puppet::Util::Execution.execute('netstat -lnp | grep  postgres', :failonfail => false, :combine => true)
    if proc == ''
      Puppet.debug 'Feature postgres_running **NOT** available'
      false
    else
      Puppet.debug 'Feature postgres_running available'
      true
    end
  end

  Puppet.features.add(:postgres_running) do
    postgres_running_check
  end

  Puppet.features.send :meta_def, 'postgres_running?' do
    name = :postgres_running
    final = @results[name]
    @results[name] = PostgresFeature.postgres_running_check unless final
    @results[name]
  end
end
