# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
Puppet::Functions.create_function('pg_config::on_db') do
  dispatch :on_db do
    param 'Variant[Array, Undef]', :values
    param 'String', :select_db
  end

  def on_db(values, select_db)
    return [] if values.nil?

    values.collect { |e| e['db'] == select_db ? e['name'] : nil }.compact
  end
end
