# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:allow_connections) do
  include EasyType

  desc <<-EOD
    sIf false then no one can connect to this database. The default is true, allowing connections (except as restricted by other mechanisms, such as GRANT/REVOKE CONNECT).
  EOD

  newvalues(true, false)
  data_type('Optional[Boolean]')

  on_create do
    "allow_connections = #{value}"
  end

  on_modify do
    "allow_connections #{value}"
  end

  to_translate_to_resource do |raw_resource|
    raw_resource.column_data('datallowconn') == 't'
  end
end
