# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:connection_limit) do
  include EasyType

  desc <<-EOD
  How many concurrent connections can be made to this database. -1 (the default) means no limit.
  EOD

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  on_create do
    "connection limit = #{value}"
  end

  on_modify do
    "connection limit #{value}"
  end

  to_translate_to_resource do |raw_resource|
    raw_resource.column_data('datconnlimit')
  end
end
