# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:lc_ctype) do
  include EasyType

  desc <<-EOD
    Character classification (LC_CTYPE) to use in the new database. This affects the categorization of characters, e.g., lower, upper and digit. The default is to use the character classification of the template database. See below for additional restrictions.
  EOD

  data_type('Optional[String[1]]')

  on_apply do
    "LC_CTYPE = #{value}"
  end

  to_translate_to_resource do |raw_resource|
    raw_resource.column_data('dactype')
  end
end
