# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:locale) do
  include EasyType

  desc <<-EOD
  This is a shortcut for setting LC_COLLATE and LC_CTYPE at once. If you specify this, you cannot specify either of those parameters.
  EOD

  data_type('Optional[String[1]]')

  on_apply do
    "LOCALE = #{value}"
  end

  to_translate_to_resource do |raw_resource|
    raw_resource.column_data('dactype')
  end
end
