# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:name) do
  include EasyType

  desc <<-EOD
    The full sql statement including a SID.

        pg_exec { 'select * from tab@db':
          ...
        }

    The db is optional. When you don't specify a database,  We recommend you **always** use a full qualified
    name (e.g. a name including the database name).

  EOD

  isnamevar

  data_type('String[1]')
end
