# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:version) do
  include EasyType

  desc <<-EOD
    The version of the extension
  EOD

  data_type("Optional[Variant[Enum['absent'],String[1]]]")

  on_create do
    "version #{value}"
  end

  on_modify do
    "update to #{value}"
  end

  to_translate_to_resource do |raw_resource|
    raw_resource.column_data('version')
  end
end
