# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
require 'puppet_x/enterprisemodules/postgres/mungers'

newparam(:name) do
  include EasyType

  desc <<-EOD
    The full name and definition of the function.
  EOD

  isnamevar
  data_type('String[1]')

  to_translate_to_resource do |raw_resource|
    db = raw_resource.column_data('db')
    encoded_content = Array(raw_resource.column_data('prosrc')).pack('H*')
    full_name = encoded_content.scan(/CREATE OR REPLACE FUNCTION (.*\))/).first.first
    "#{full_name}@#{db}"
  end
end
