# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:vartype) do
  include EasyType

  desc <<-EOD
   The data type of the specified parameter. This is a read-only porperty#{' '}
  EOD

  data_type("Optional[Enum['bool','enum','integer','real','string']]")

  def insync?(is)
    Puppet.debug "#{path} is a puppet read-only property; unable to change from #{is} to #{should}." if is.to_s != should.to_s
    true
  end


  to_translate_to_resource do |raw_resource|
    raw_resource.column_data('vartype')
  end
end
