# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:os_user_pwd) do
  # include EasyType::YamlProperty
  include EasyType::EncryptedYamlProperty

  desc <<-EOD
  The os user password to use in Windows only
  As there is no sudo for windows we have to store the password for the os_user
  Here is an example on how to use this:
      pg_register { 'DB1':
        ...
        os_user_pwd => '<password>',
        ...
      }
  EOD

  data_type('Optional[String[1]]')
end
