# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:password) do
  include EasyType::EncryptedYamlProperty

  desc <<-EOD
    The password to use for database `sys` operations. This value is required when the database is not local. E.g the
    database is running on a remote server and is connected to through a remote connection string.

    Here is an example on how to use this:

    pg_register { 'db1':
      ...
      user               => 'postgres',
      password           => 'password',
      ...
    }


  EOD
  data_type('Optional[String[1]]')
end
