# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:user) do
  include EasyType::YamlProperty

  desc <<-EOD
  The database username to use for database sysdba operations. This value is required when the database is not local. E.g the
  database is running on a remote server and is connected to through a remote connection string.

  Here is an example on how to use this:

      pg_register { 'DB1':
        ...
        user               => 'postgres',
        password           => 'password',
        ...
      }

  EOD
  defaultto 'postgres'
  data_type('Optional[String[1]]')
end
