# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:bypass) do
  include EasyType

  desc <<-EOD
    specified if the role bypasses every row level security policy.
  EOD

  newvalues(true, false)
  data_type('Optional[Boolean]')

  on_apply do
    value.to_s == 'true' ? 'BYPASSRLS' : 'NOBYPASSRLS'
  end

  to_translate_to_resource do |raw_resource|
    raw_resource.column_data('rolbypassrls') == 't'
  end
end
