# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:create_db) do
  include EasyType

  desc <<-EOD
    specified if the role can create databases
  EOD

  newvalues(true, false)
  data_type('Optional[Boolean]')

  on_apply do
    value.to_s == 'true' ? 'CREATEDB' : 'NOCREATEDB'
  end

  to_translate_to_resource do |raw_resource|
    raw_resource.column_data('rolcreatedb') == 't'
  end
end
