# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:create_role) do
  include EasyType

  desc <<-EOD
    specified if the role can create more roles
  EOD

  newvalues(true, false)
  data_type('Optional[Boolean]')

  on_apply do
    value.to_s == 'true' ? 'CREATEROLE' : 'NOCREATEROLE'
  end

  to_translate_to_resource do |raw_resource|
    raw_resource.column_data('rolcreaterole') == 't'
  end
end
