# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:max_connections) do
  include EasyType

  desc <<-EOD
    For roles that can log in, this sets maximum number of concurrent connections this role can make. -1 means no limit.
  EOD

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  on_apply do
    "CONNECTION LIMIT #{value}"
  end

  to_translate_to_resource do |raw_resource|
    raw_resource.column_data('rolconnlimit')
  end
end
