# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:replication) do
  include EasyType

  desc <<-EOD
    specified if the role is a replication role. A replication role can initiate replication connections and create and drop replication slots.
  EOD

  newvalues(true, false)
  data_type('Optional[Boolean]')

  on_apply do
    value.to_s == 'true' ? 'REPLICATION' : 'NOREPLICATION'
  end

  to_translate_to_resource do |raw_resource|
    raw_resource.column_data('rolreplication') == 't'
  end
end
