# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:super_user) do
  include EasyType

  desc <<-EOD
    specified if the role has superuser privileges
  EOD

  newvalues(true, false)
  data_type('Optional[Boolean]')

  on_apply do
    value.to_s == 'true' ? 'SUPERUSER' : 'NOSUPERUSER'
  end

  to_translate_to_resource do |raw_resource|
    raw_resource.column_data('rolsuper') == 't'
  end
end
