# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:location) do
  include EasyType

  desc <<-EOD
  TThe location where the tablespace will store it's data files.
  EOD

  data_type('Optional[String[1]]')

  on_create do
    "location '#{value}'"
  end

  on_modify do
    fail 'modifying the location of a tablespace is not (yet) supported'
  end

  to_translate_to_resource do |raw_resource|
    raw_resource.column_data('location')
  end
end
