# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
require 'puppet_x/enterprisemodules/postgres/mungers'

newparam(:name) do
  include EasyType
  include EasyType::Validators::Name

  desc <<-EOD
    The full name of the tablespace including the name of the database.
  EOD

  isnamevar
  data_type('String[1]')

  to_translate_to_resource do |raw_resource|
    db = raw_resource.column_data('db')
    ts_name = raw_resource.column_data('spcname')
    "#{ts_name}@#{db}"
  end
end
