# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:owner) do
  include EasyType

  desc <<-EOD
  The role name of the user who will own the new tablespace, or DEFAULT to use the default (namely, the user executing the command). To create a database owned by another role, you must be a direct or indirect member of that role, or be a superuser.
  EOD

  data_type('Optional[String[1]]')

  on_create do
    "owner #{value}"
  end

  on_modify do
    "owner to #{value}"
  end

  to_translate_to_resource do |raw_resource|
    raw_resource.column_data('rolname')
  end
end
