# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:db) do
  include EasyType
  include Puppet_X::EnterpriseModules::Postgres::Settings

  desc <<-EOD
    database to connect to.

    All types have a name like `resource@db`. The db is optional. If you don't specify the db, the type
    will use the database from the `/etc/pg_register.yaml` with the property `default` set to `true`.
    We advise you to either use `@db` in all your manifests or leave it empty everywhere.

  EOD

  isnamevar
  data_type('String[1]')

  defaultto 'postgres'

  to_translate_to_resource do |raw_resource|
    raw_resource.column_data('db')
  end
end
